Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

WAV to FLAC

Convert WAV audio to FLAC audio.

Try WAV to FLAC in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typeaudio.wav-to-flac
targetFormatflac
Categoryaudio
Input formats.wav
Output extension.flac
Costing1 credit per 5 minutes
Max file size2 GB
Max duration3000 min

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@audio.wav" \
  -F "targetFormat=flac" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "audio.flac"
# → Binary file (audio/flac, 6.0 MB)

Options

This converter does not support additional options.

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/wav/flac?durationMinutes=10"
Copied.